# Socially Awkward

Socially Awkward is a parent theme for WordPress.  It was created to handle media and creative work.

## Features

Socially Awkward is built from the rock-solid [Hybrid Core](http://themehybrid.com/hybrid-core) theme framework, an ongoing open-source theme project that has been in development for 5+ years.</p>

* No hard-to-use theme settings.  This theme works right out of the box.  The only thing you might want to set up is your nav menus.
* Integration with the [Custom Content Portfolio](http://themehybrid.com/plugins/custom-content-portfolio) plugin.
* Custom "Formats" page template that links to all your post format archives.
* Beautiful designs for self-hosted media.
* Toggle button for self-hosted audio and video info.
* Several nav menus for interesting and never-before-seen uses.
* Post setting that allows you to add a custom stylesheet for individual posts.
* Post thumbnails that work with WordPress' featured image functionality and provide extra features.
* Dynamic body, post, and comment CSS classes.
* Fully internationalized, so you can run the theme in any language.
* Ability to create custom templates for any post type in multiple ways.
* And much, much more!

## Important Notes

### Portfolio menu

This menu will only work if you have the [Custom Content Portfolio](http://themehybrid.com/plugins/custom-content-portfolio) plugin installed.  Otherwise, it won't appear at all.  It is only shown on portfolio-related pages.

### Formats menu

This menu  uses Genericons to display links to post format archives.  I highly recommend just leaving it alone.  However, if you want to customize it, you should only add links to your blog page (i.e., posts page) or post format archives.  Anything else will be replaced by a star icon.

### Social menu

The Social menu uses Genericons rather than text to display links.  You simply need to type in the correct URL for your menu items.  The theme will take care of the rest.  The only social Web sites supported are sites that have icons in the [Genericons font](http://genericons.com) package.  Anything else will display a star icon.

## Copyright and License

The following resources are not included with the theme but are external resources linked to within the theme.

* [Lora Font](http://www.google.com/fonts/specimen/Lora) by Cyreal - Licensed under the [SIL Open Font License 1.1](http://scripts.sil.org/OFL).
* [Open Sans Font](http://www.google.com/fonts/specimen/Open+Sans) by Steve Matteson - Licensed under the [Apache License, version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html).
* [Open Sans Condensed Font](http://www.google.com/webfonts/specimen/Open+Sans+Condensed) by Steve Matteson - Licensed under the [Apache License, version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html).

The following resources are included within the theme package.

* [Genericons](http://genericons.com/) by Joen Asmussen - Licensed under the [GPL, version 2 or later](http://www.gnu.org/licenses/old-licenses/gpl-2.0.html).
* [Theme Mediaelement](https://github.com/justintadlock/theme-mediaelement) by John Dyer, Justin Tadlock - Licensed under the [MIT License](http://opensource.org/licenses/MIT).

All other resources and theme elements are licensed under the [GNU GPL](http://www.gnu.org/licenses/old-licenses/gpl-2.0.html), version 2 or later.

2013&thinsp;&ndash;&thinsp;2014 &copy; [Justin Tadlock](http://justintadlock.com).

## Changelog

### Version 1.0.0

* Upgraded to the 2.0 dev branch of the Hybrid Core framework.
* Overhauled file and folder structure.
* Switched to a more user-friendly coding style for templates.
* Dropped a lot of code that is now in Hybrid Core.
* Added WP playlist support.
* Upgraded to version 3.0.3 of Genericons, which brings in more icons.

### Version 0.1.0

* Everything's new!